Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.registry.EPPRegistryInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryInfoResp

extends EPPResponse

Represents an EPP Registry <registry:infData> response to an `EPPRegistryInfoCmd`. When an <info> command has been processed successfully, the EPP <resData> element MUST contain a child <registry:infData> element that identifies the registry namespace and the location of the registry schema.
If the corresponding registry create command contains <registry:all> element, The <registry:infData> element must contain the following child elements:

- A <registry:zoneList> element that contains the list of supported zones by the server with a set of summary attributes per zone. Each set of summary attributes are enclosed in the <registry:zone> element.

If the corresponding registry create command contains <registry:name> element, The <registry:infData> element must contain the following child elements:

- A <registry:zone> element that contains the detail info of a zone object.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryInfoCmd`, `EPPRegistryZoneList`, `EPPRegistryZone`, `EPPRegistryZoneInfo`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPRegistryInfoResp()` `EPPRegistryInfoResp` default constructor.
`EPPRegistryInfoResp(EPPTransId transId, EPPRegistryZoneInfo zoneInfo)` Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes.
`EPPRegistryInfoResp(EPPTransId transId, EPPRegistryZoneList zoneList)` Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryInfoResp` with this instance.
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPRegistryInfoResp`.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPRegistryInfoResp`.
`EPPRegistryZoneInfo` | `getZoneInfo()`
`EPPRegistryZoneList` | `getZoneList()`
`void` | `setZoneInfo(EPPRegistryZoneInfo zoneInfo)`
`void` | `setZoneList(EPPRegistryZoneList zoneList)`
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryInfoResp

    public EPPRegistryInfoResp()

  `EPPRegistryInfoResp` default constructor. Must call either `setZoneList` or `setZoneInfo` setter methods before invoking `encode`.

### EPPRegistryInfoResp

    public EPPRegistryInfoResp(EPPTransId transId,
                               EPPRegistryZoneList zoneList)

  Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes. Use this to construct response to command `EPPRegistryInfoCmd` with `all` set to `true`.

  Parameters:
    `transId` - transaction Id associated with response
    `zoneList` - object containing a list of zone summary attributes

### EPPRegistryInfoResp

    public EPPRegistryInfoResp(EPPTransId transId,
                               EPPRegistryZoneInfo zoneInfo)

  Create a `EPPRegistryInfoResp` instance with a set of zone summary attributes. Use this to construct response to command `EPPRegistryInfoCmd` with `all` set to `false`.

  Parameters:
    `transId` - transaction Id associated with response
    `zoneInfo` - object containing detailed zone info

Method Detail

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPRegistryInfoResp instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPRegistryInfoResp instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPRegistryInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPRegistryInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPRegistryInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPRegistryInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPRegistryInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPRegistryMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPRegistryInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getZoneList

    public EPPRegistryZoneList getZoneList()

### setZoneList

    public void setZoneList(EPPRegistryZoneList zoneList)

### getZoneInfo

    public EPPRegistryZoneInfo getZoneInfo()

### setZoneInfo

    public void setZoneInfo(EPPRegistryZoneInfo zoneInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.